Read a bounded stored body using an exact message handle from inbox search; rechecks mailbox and record privacy
curl --request GET \
--url https://www.dench.com/api/v1/email/inbox/messages/{messageHandle} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/email/inbox/messages/{messageHandle}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/email/inbox/messages/{messageHandle}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"header": {
"messageHandle": "<string>",
"threadHandle": "<string>",
"mailboxId": "<string>",
"from": {
"email": "<string>",
"name": "<string>"
},
"to": [
{
"email": "<string>",
"name": "<string>"
}
],
"subject": "<string>",
"at": 123,
"dateSource": "sentAt",
"direction": "inbound",
"status": "<string>",
"hasAttachments": true,
"headersTruncated": true
},
"coverage": {
"source": "synced",
"scope": "mailbox_linked_messages",
"mailboxId": "<string>",
"mailboxEmail": "<string>",
"mailboxStatus": "<string>",
"ingestionMode": "<string>",
"phase": "<string>",
"syncStatus": "<string>",
"lastPolledAt": 123,
"lastBackfillCompletedAt": 123,
"oldestSeenAt": 123,
"backfillStatus": "<string>",
"backfillCapped": true,
"providerComplete": false,
"privacyLimited": true
},
"body": {
"format": "text",
"content": "<string>",
"truncated": true,
"totalBytes": 123
},
"recipients": {
"to": [
{
"email": "<string>",
"name": "<string>"
}
],
"cc": [
{
"email": "<string>",
"name": "<string>"
}
],
"bcc": [
{
"email": "<string>",
"name": "<string>"
}
],
"truncated": true
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}email
Read a bounded stored body using an exact message handle from inbox search; rechecks mailbox and record privacy
Read a bounded stored body using an exact message handle from inbox search; rechecks mailbox and record privacy.
GET
/
email
/
inbox
/
messages
/
{messageHandle}
Read a bounded stored body using an exact message handle from inbox search; rechecks mailbox and record privacy
curl --request GET \
--url https://www.dench.com/api/v1/email/inbox/messages/{messageHandle} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/email/inbox/messages/{messageHandle}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/email/inbox/messages/{messageHandle}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"header": {
"messageHandle": "<string>",
"threadHandle": "<string>",
"mailboxId": "<string>",
"from": {
"email": "<string>",
"name": "<string>"
},
"to": [
{
"email": "<string>",
"name": "<string>"
}
],
"subject": "<string>",
"at": 123,
"dateSource": "sentAt",
"direction": "inbound",
"status": "<string>",
"hasAttachments": true,
"headersTruncated": true
},
"coverage": {
"source": "synced",
"scope": "mailbox_linked_messages",
"mailboxId": "<string>",
"mailboxEmail": "<string>",
"mailboxStatus": "<string>",
"ingestionMode": "<string>",
"phase": "<string>",
"syncStatus": "<string>",
"lastPolledAt": 123,
"lastBackfillCompletedAt": 123,
"oldestSeenAt": 123,
"backfillStatus": "<string>",
"backfillCapped": true,
"providerComplete": false,
"privacyLimited": true
},
"body": {
"format": "text",
"content": "<string>",
"truncated": true,
"totalBytes": 123
},
"recipients": {
"to": [
{
"email": "<string>",
"name": "<string>"
}
],
"cc": [
{
"email": "<string>",
"name": "<string>"
}
],
"bcc": [
{
"email": "<string>",
"name": "<string>"
}
],
"truncated": true
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Path Parameters
Query Parameters
Available options:
text, html Required range:
1 <= x <= 100000